Skip to main content
POST
/
tickets
/
{ticket_id}
/
drafts
Create a draft comment for a ticket
curl --request POST \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id}/drafts \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "content": "We are looking into the issue.",
  "comment_type": "note",
  "author_email": "oliver@example.com"
}
'
{
  "draft": {
    "id": "aaaabbbb-cccc-dddd-eeee-ffff00004444",
    "comment_type": "reply",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "content": "We are looking into the issue."
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

ticket_id
string
required

ID of the ticket. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.

Body

application/json
content
string
required

Content for the draft comment. Cannot be blank.

Example:

"We are looking into the issue."

comment_type
enum<string>

Type of the comment. Defaults to reply.

Available options:
reply,
note
Example:

"note"

author_email
string

Optional email address of the person creating the draft. If provided, the signature stored in NeetoDesk for this user will be appended to the draft.

Example:

"oliver@example.com"

Response

201 - application/json

Created - Draft created successfully

draft
object